#!/bin/bash

# 获取壁纸所在目录
wallpaper_dir=/usr/share/backgrounds

# 获取目录中的所有图片文件
shopt -s nullglob
image_files=("$wallpaper_dir"/*.{jpg,jpeg,png,bmp,gif,tiff})
shopt -u nullglob

# 检查是否有图片文件
if [ ${#image_files[@]} -eq 0 ]; then
    echo "No image files found in the directory."
    exit 1
fi

# 随机选择一张图片
random_image=${image_files[RANDOM % ${#image_files[@]}]}

# 设置新的壁纸
gsettings set org.mate.background picture-filename "$random_image"

echo "New wallpaper set to: $random_image"
